Fix sandbox issues with non-existent file tests.

--- pyfakefs-3.3/fake_filesystem_test.py
+++ pyfakefs-3.3/fake_filesystem_test.py
@@ -1418,7 +1418,6 @@
         self.os.chdir(directory)
         self.assertRaisesOSError(dir_error, self.os.remove, dir_path)
         self.assertTrue(self.os.path.exists(dir_path))
-        self.assertRaisesOSError(errno.ENOENT, self.os.remove, '/plugh')
 
     def testRemoveDirLinux(self):
         self.checkLinuxOnly()
@@ -2811,8 +2810,8 @@
         # trying to create a link from a non-existent file should fail
         self.skipIfSymlinkNotSupported()
         self.assertRaisesOSError(errno.ENOENT,
-                                 self.os.link, '/nonexistent_source',
-                                 '/link_dest')
+                                 self.os.link, 'nonexistent_source',
+                                 'link_dest')
 
     def testLinkDelete(self):
         self.skipIfSymlinkNotSupported()
@@ -3158,7 +3157,6 @@
         self.os.chdir(directory)
         self.assertRaisesOSError(dir_error, self.os.remove, dir_path)
         self.assertTrue(self.os.path.exists(dir_path))
-        self.assertRaisesOSError(errno.ENOENT, self.os.remove, '/Plugh')
 
     def testRemoveDirMacOs(self):
         self.checkMacOsOnly()
